package test.google.ui;

import java.util.Properties;

import org.eclipse.datatools.connectivity.oda.google.ui.impl.CustomDataSetWizardPage;
import org.eclipse.datatools.connectivity.oda.google.ui.model.GoogleModel;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

public class TestDataSetUI {

	/**
	 * Note: This class should be run as an SWT Application from right-click
	 * popup menu
	 * 
	 * @author Anthony Ku Ong
	 * 
	 */

	public TestDataSetUI() {
		Display display = new Display();
		Shell shell = new Shell(display);
		// ------------------------
		init(shell);
		// ------------------------
		shell.setSize(700, 400);
		shell.open();
		while (!shell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}
		display.dispose();
	}

	public static void main(String args[]) {
		new TestDataSetUI();
	}

	public void init(Shell parent) {
		// ##For Testing, just need to modify this section only ####
		Properties connProps = new Properties();
		//String username = "birt.spreadsheet";
		//String password = "birtexchange";
		String username = "info@innoventsolutions.com";
		String password = "innovent2007";
		connProps.put("username",username);
		connProps.put("password", password );
		//connProps.put("username", "info@innoventsolutions.com");
		//connProps.put("password", "innovent2007" );
				
		GoogleModel model = new GoogleModel();
		model.setProperties(connProps);
		model.initialize();
		
		// ########################################################
		GridLayout gridLayout = new GridLayout();
		parent.setLayout(gridLayout);
		CustomDataSetWizardPage page = new CustomDataSetWizardPage("name");
		page.enableTestMode(true);
		//page.enablePreviewMode(true);
		page.setModel(model);
		page.createPageControl(parent);
	}
}
